Skip to main content
GET
/
{sku}
Get product details with available add-ons
curl --request GET \
  --url https://api.sibipro.com/products/{sku} \
  --header 'Authorization: Bearer <token>'
{
  "sku": "<string>",
  "title": "<string>",
  "priceCents": 1,
  "addOns": [
    {
      "id": "123",
      "title": "Install",
      "priceCents": 10000,
      "products": [
        {
          "sku": "123",
          "title": "Install Appliance",
          "category": "Install & Supply Services",
          "priceCents": 6000
        },
        {
          "sku": "124",
          "title": "Supply Washer Braided Line",
          "category": "Install & Supply Services",
          "priceCents": 4000
        }
      ],
      "includedPartProducts": [
        {
          "sku": "125",
          "title": "Washer Inlet Fill Hose",
          "category": "Parts",
          "priceCents": 1000
        }
      ]
    }
  ],
  "recommendedParts": [
    {
      "sku": "126",
      "title": "Washer Inlet Fill Hose",
      "category": "Parts",
      "priceCents": 1000
    }
  ],
  "warnings": [
    "No address provided. To include available add-ons and fulfillment/distribution information, please provide an address."
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sku
string
required

Product SKU

Example:

"GDF511PGRBB"

Query Parameters

line1
string
Required string length: 1 - 100
line2
string
Required string length: 1 - 100
city
string
Required string length: 1 - 100
stateOrProvince
string
Required string length: 2
postalCode
string
Pattern: ^\d{5}(-\d{4})?$
manufacturer
string

The manufacturer of the products to search for (defaults to "ge" if not provided)

Example:

"ge"

Response

Product details retrieved successfully

sku
string
required
title
string
required
priceCents
number
required
Required range: x >= 0
addOns
object[]
required

Available add-ons for the product.

Example:
[
{
"id": "123",
"title": "Install",
"priceCents": 10000,
"products": [
{
"sku": "123",
"title": "Install Appliance",
"category": "Install & Supply Services",
"priceCents": 6000
},
{
"sku": "124",
"title": "Supply Washer Braided Line",
"category": "Install & Supply Services",
"priceCents": 4000
}
],
"includedPartProducts": [
{
"sku": "125",
"title": "Washer Inlet Fill Hose",
"category": "Parts",
"priceCents": 1000
}
]
}
]

Recommended parts for the product. These parts may be included in an add-on like "Install"

Example:
[
{
"sku": "126",
"title": "Washer Inlet Fill Hose",
"category": "Parts",
"priceCents": 1000
}
]
warnings
string[]

Warnings that may impact product results

Example:
[
"No address provided. To include available add-ons and fulfillment/distribution information, please provide an address."
]